Hi all,

Since commit d5563d7d, -c does not imply any more --no-psqlrc hence
the tests of pg_upgrade may run with a custom psqlrc file loaded. I
think that we had better add -X to avoid that, like in the patch
attached.
Thoughts?
-- 
Michael
diff --git a/src/bin/pg_upgrade/test.sh b/src/bin/pg_upgrade/test.sh
index aa7f399..7d5a594 100644
--- a/src/bin/pg_upgrade/test.sh
+++ b/src/bin/pg_upgrade/test.sh
@@ -156,7 +156,7 @@ standard_initdb "$oldbindir"/initdb
 if "$MAKE" -C "$oldsrc" installcheck; then
 	pg_dumpall -f "$temp_root"/dump1.sql || pg_dumpall1_status=$?
 	if [ "$newsrc" != "$oldsrc" ]; then
-		oldpgversion=`psql -A -t -d regression -c "SHOW server_version_num"`
+		oldpgversion=`psql -X -A -t -d regression -c "SHOW server_version_num"`
 		fix_sql=""
 		case $oldpgversion in
 			804??)
@@ -169,7 +169,7 @@ if "$MAKE" -C "$oldsrc" installcheck; then
 				fix_sql="UPDATE pg_proc SET probin = replace(probin, '$oldsrc', '$newsrc') WHERE probin LIKE '$oldsrc%';"
 				;;
 		esac
-		psql -d regression -c "$fix_sql;" || psql_fix_sql_status=$?
+		psql -X -d regression -c "$fix_sql;" || psql_fix_sql_status=$?
 
 		mv "$temp_root"/dump1.sql "$temp_root"/dump1.sql.orig
 		sed "s;$oldsrc;$newsrc;g" "$temp_root"/dump1.sql.orig >"$temp_root"/dump1.sql
-- 
Sent via pgsql-hackers mailing list (pgsql-hackers@postgresql.org)
To make changes to your subscription:
http://www.postgresql.org/mailpref/pgsql-hackers

Reply via email to